#
# spec file for package perl-Webinject-Gui
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Webinject-Gui
Version:        1.56
Release:        1.30
%define         cpan_name Webinject-Gui
Summary:        Gui part of Webinject
License:        GPL-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Webinject-Gui/
Source:         Webinject-Gui-1.56.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Tk)
BuildRequires:  perl(Tk::Compound)
BuildRequires:  perl(Tk::NoteBook)
BuildRequires:  perl(Tk::PNG)
BuildRequires:  perl(Tk::ProgressBar::Mac)
BuildRequires:  perl(Tk::ROText)
BuildRequires:  perl(Tk::Stderr)
BuildRequires:  perl(Webinject) >= 1.50
Requires:       perl(Tk)
Requires:       perl(Tk::Compound)
Requires:       perl(Tk::NoteBook)
Requires:       perl(Tk::PNG)
Requires:       perl(Tk::ProgressBar::Mac)
Requires:       perl(Tk::ROText)
Requires:       perl(Tk::Stderr)
Requires:       perl(Webinject) >= 1.50
%{perl_requires}

%description
WebInject is a free tool for automated testing of web applications and web
services. It can be used to test individual system components that have
HTTP interfaces (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms, XML/SOAP
Web Services, REST, etc), and can be used as a test harness to create a
suite of [HTTP level] automated functional, acceptance, and regression
tests. A test harness allows you to run many test cases and collect/report
your results. WebInject offers real-time results display and may also be
used for monitoring system response times.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

# needs Display
#check
#{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes icon.gif icon.ico logo.gif

%changelog
* Thu Feb  5 2015 lars@linux-schulserver.de
- initial package 1.56
